### Method

# Gdk Rectangleunion

#### Declaration [src]

    void
    gdk_rectangle_union (
      const GdkRectangle* src1,
      const GdkRectangle* src2,
      GdkRectangle* dest
    )

#### Description [src]

Calculates the union of two rectangles.

The union of rectangles `src1` and `src2` is the smallest rectangle which includes both `src1` and `src2` within it. It is allowed for `dest` to be the same as either `src1` or `src2`.

Note that this function does not ignore ‘empty’ rectangles (ie. with zero width or height).

#### Parameters

`src2`

  Type: `GdkRectangle`

  A `GdkRectangle`

  The data is owned by the caller of the method.

`dest`

  Type: `GdkRectangle`

  Return location for the union of `src1` and `src2`

  The argument will be set by the function.
  The data is owned by the instance.